<?php

namespace App\Entities\Part;

use App\Models\Part\SWITCHModel;

class SWITCHEntity extends PartEntity
{
    const PK    = SWITCHModel::PK;
    const TITLE = SWITCHModel::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];

    final public function getCode(): string
    {
        return $this->attributes['code'] ?? "";
    }
}
